org.apache.poi.xwpf.usermodel

## Class XWPFFooter

- java.lang.Object
- - org.apache.poi.ooxml.POIXMLDocumentPart
  - - org.apache.poi.xwpf.usermodel.XWPFHeaderFooter
    - - org.apache.poi.xwpf.usermodel.XWPFFooter

- All Implemented Interfaces:
    IBody

      public class XWPFFooter
      extends XWPFHeaderFooter

  Sketch of XWPF footer class

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.poi.ooxml.POIXMLDocumentPart

      `POIXMLDocumentPart.RelationPart`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XWPFFooter()`
    `XWPFFooter(POIXMLDocumentPart parent, PackagePart part)`
    `XWPFFooter(XWPFDocument doc, org.openxmlformats.schemas.wordprocessingml.x2006.main.CTHdrFtr hdrFtr)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `commit()` save and commit footer
    `BodyType` | `getPartType()` get the PartType of the body
    `protected void` | `onDocumentRead()` Fired when a package part is read

    - ### Methods inherited from class org.apache.poi.xwpf.usermodel.XWPFHeaderFooter

      `_getHdrFtr, addPictureData, addPictureData, clearHeaderFooter, createParagraph, createTable, getAllPackagePictures, getAllPictures, getBodyElements, getListParagraph, getOwner, getParagraph, getParagraphArray, getParagraphs, getPart, getPictureDataByID, getTable, getTableArray, getTableCell, getTables, getText, getXWPFDocument, insertNewParagraph, insertNewTbl, insertTable, prepareForCommit, readHdrFtr, removeParagraph, removeTable, setHeaderFooter, setXWPFDocument`

    - ### Methods inherited from class org.apache.poi.ooxml.POIXMLDocumentPart

      `_invokeOnDocumentRead, addRelation, createRelationship, createRelationship, createRelationship, getNextPartNumber, getPackagePart, getParent, getRelationById, getRelationId, getRelationPartById, getRelationParts, getRelations, getTargetPart, isCommited, isCommitted, onDocumentCreate, onDocumentRemove, onSave, read, rebase, removeRelation, removeRelation, removeRelation, setCommited, setCommitted, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XWPFFooter

          public XWPFFooter()

    - #### XWPFFooter

          public XWPFFooter(XWPFDocument doc,
                            org.openxmlformats.schemas.wordprocessingml.x2006.main.CTHdrFtr hdrFtr)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### XWPFFooter

          public XWPFFooter(POIXMLDocumentPart parent,
                            PackagePart part)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`
      Since:
        POI 3.14-Beta1

  - ### Method Detail

    - #### commit

          protected void commit()
                         throws java.io.IOException

      save and commit footer
      Overrides:
        `commit` in class `POIXMLDocumentPart`
      Throws:
        `java.io.IOException` - a subclass may throw an IOException if the changes can't be committed

    - #### onDocumentRead

          protected void onDocumentRead()
                                 throws java.io.IOException

      Description copied from class: `POIXMLDocumentPart`
      Fired when a package part is read
      Overrides:
        `onDocumentRead` in class `XWPFHeaderFooter`
      Throws:
        `java.io.IOException` - a subclass may throw an IOException when a document is read

    - #### getPartType

          public BodyType getPartType()

      get the PartType of the body
      Returns:
        the PartType of the body
      See Also:
        `IBody.getPartType()`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.